Hooks:PostHook(PlayerTweakData, "_init_new_stances", "cwaalignment", function(self, params)

	--CAR-4 Rifle
	if cwakey.Options:GetValue("m4_cwa_toggle") then
	self.stances.new_m4 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7288, 23.0125, -1.8891)
	pivot_shoulder_rotation = Rotation(0.106607, -0.0844486, 0.629199)
	pivot_head_translation = Vector3(7, 20, -0.5)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.new_m4.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_m4.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_m4.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.new_m4.steelsight.vel_overshot.pitch_neg = -17
	self.stances.new_m4.steelsight.vel_overshot.pitch_pos = 17
	pivot_head_translation = Vector3(-0.045, 10, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_m4.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_m4.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_m4.steelsight.FOV = self.stances.new_m4.standard.FOV
	self.stances.new_m4.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -7, 0)
	self.stances.new_m4.steelsight.vel_overshot.yaw_neg = 8
	self.stances.new_m4.steelsight.vel_overshot.yaw_pos = -8
	self.stances.new_m4.steelsight.vel_overshot.pitch_neg = -17
	self.stances.new_m4.steelsight.vel_overshot.pitch_pos = 17
	pivot_head_translation = Vector3(6, 16, -0.5)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.new_m4.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_m4.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_m4.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end

	--Stryk 18c
	if cwakey.Options:GetValue("g18c_cwa_toggle") then
	self.stances.glock_18c = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.49051, 38.6474, -5.09399)
	pivot_shoulder_rotation = Rotation(0.0999949, -0.687702, 0.630304)
	pivot_head_translation = Vector3(5, 36, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock_18c.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock_18c.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock_18c.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.glock_18c.standard.vel_overshot.yaw_neg = 10
	self.stances.glock_18c.standard.vel_overshot.yaw_pos = -10
	self.stances.glock_18c.standard.vel_overshot.pitch_neg = -13
	self.stances.glock_18c.standard.vel_overshot.pitch_pos = 13
	pivot_head_translation = Vector3(0, 37, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock_18c.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock_18c.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock_18c.steelsight.FOV = self.stances.glock_18c.standard.FOV
	self.stances.glock_18c.steelsight.zoom_fov = false
	self.stances.glock_18c.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	self.stances.glock_18c.steelsight.vel_overshot.yaw_neg = 8
	self.stances.glock_18c.steelsight.vel_overshot.yaw_pos = -8
	self.stances.glock_18c.steelsight.vel_overshot.pitch_neg = -8
	self.stances.glock_18c.steelsight.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock_18c.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock_18c.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock_18c.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end

	--Clarion Rifle
	if cwakey.Options:GetValue("famas_cwa_toggle") then	
	self.stances.famas = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(12.4978, 36.9949, -1.6971)
	pivot_shoulder_rotation = Rotation(2.58401, -0.0831424, 0.629405)
	pivot_head_translation = Vector3(9, 34, -2.5)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.famas.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.famas.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.famas.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	self.stances.famas.standard.vel_overshot.yaw_neg = 10
	self.stances.famas.standard.vel_overshot.yaw_pos = -10
	self.stances.famas.standard.vel_overshot.pitch_neg = -10
	self.stances.famas.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.04, 30, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.famas.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.famas.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.famas.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -38, 0)
	self.stances.famas.steelsight.vel_overshot.yaw_neg = 10
	self.stances.famas.steelsight.vel_overshot.yaw_pos = -10
	self.stances.famas.steelsight.vel_overshot.pitch_neg = -10
	self.stances.famas.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(8, 33, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.famas.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.famas.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.famas.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	end
	
	--R93 Sniper Rifle
	if cwakey.Options:GetValue("r93_cwa_toggle") then
	self.stances.r93 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6978, 45.3183, -4.51382)
	pivot_shoulder_rotation = Rotation(0.107839, -0.0834037, 0.628987)
	pivot_head_translation = Vector3(10, 38, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r93.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r93.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r93.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.r93.standard.vel_overshot.yaw_neg = 15
	self.stances.r93.standard.vel_overshot.yaw_pos = -15
	self.stances.r93.standard.vel_overshot.pitch_neg = -15
	self.stances.r93.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.05, 30, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r93.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r93.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r93.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.r93.steelsight.vel_overshot.yaw_neg = 0
	self.stances.r93.steelsight.vel_overshot.yaw_pos = 0
	self.stances.r93.steelsight.vel_overshot.pitch_neg = 0
	self.stances.r93.steelsight.vel_overshot.pitch_pos = 0
	pivot_head_translation = Vector3(8, 38, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r93.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r93.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r93.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Chicago Typewriter
	if cwakey.Options:GetValue("tommy_cwa_toggle") then
	self.stances.m1928 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.4985, 11.6288, -3.91554)
	pivot_shoulder_rotation = Rotation(1.8476E-5, 0.00110369, 3.2262E-4)
	pivot_head_translation = Vector3(6, 10, -4)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m1928.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m1928.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m1928.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.m1928.standard.vel_overshot.yaw_neg = 10
	self.stances.m1928.standard.vel_overshot.yaw_pos = -3
	self.stances.m1928.standard.vel_overshot.pitch_neg = -10
	self.stances.m1928.standard.vel_overshot.pitch_pos = 5
	pivot_head_translation = Vector3(-0.0605, 12, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m1928.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m1928.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m1928.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	self.stances.m1928.steelsight.vel_overshot.yaw_neg = 5
	self.stances.m1928.steelsight.vel_overshot.yaw_pos = -5
	self.stances.m1928.steelsight.vel_overshot.pitch_neg = -5
	self.stances.m1928.steelsight.vel_overshot.pitch_pos = 5
	pivot_head_translation = Vector3(4, 10, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m1928.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m1928.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m1928.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	end
	
	--SpecOps Submachine Gun
	if cwakey.Options:GetValue("mp7_cwa_toggle") then
	self.stances.mp7 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7255, 18.222, -5.70686)
	pivot_shoulder_rotation = Rotation(0.106402, -0.084293, 0.629528)
	pivot_head_translation = Vector3(7, 16, -3)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.mp7.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp7.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp7.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.mp7.standard.vel_overshot.yaw_neg = 15
	self.stances.mp7.standard.vel_overshot.yaw_pos = -15
	self.stances.mp7.standard.vel_overshot.pitch_neg = -15
	self.stances.mp7.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.048, 14, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mp7.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp7.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp7.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.mp7.steelsight.vel_overshot.yaw_neg = 10
	self.stances.mp7.steelsight.vel_overshot.yaw_pos = -10
	self.stances.mp7.steelsight.vel_overshot.pitch_neg = -10
	self.stances.mp7.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(6, 15, -1.6)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.mp7.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp7.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp7.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--AMCAR Rifle
	if cwakey.Options:GetValue("amcar_cwa_toggle") then
	self.stances.amcar = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7338, 23.0132, -1.4367)
	pivot_shoulder_rotation = Rotation(0.10663, -0.0844277, 0.629211)
	pivot_head_translation = Vector3(7, 20, -0.5)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.amcar.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.amcar.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.amcar.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.amcar.standard.vel_overshot.yaw_neg = -6
	self.stances.amcar.standard.vel_overshot.yaw_pos = 6
	self.stances.amcar.standard.vel_overshot.pitch_neg = 5
	self.stances.amcar.standard.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.045, 14, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.amcar.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.amcar.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.amcar.steelsight.FOV = self.stances.amcar.standard.FOV
	self.stances.amcar.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -7, 0)
	self.stances.amcar.steelsight.vel_overshot.yaw_neg = -2
	self.stances.amcar.steelsight.vel_overshot.yaw_pos = 4
	self.stances.amcar.steelsight.vel_overshot.pitch_neg = 5
	self.stances.amcar.steelsight.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(6, 20, -0.5)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.amcar.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.amcar.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.amcar.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.amcar.crouched.vel_overshot.yaw_neg = -6
	self.stances.amcar.crouched.vel_overshot.yaw_pos = 6
	self.stances.amcar.crouched.vel_overshot.pitch_neg = 5
	self.stances.amcar.crouched.vel_overshot.pitch_pos = -5
	end
	
	--UAR Rifle
	if cwakey.Options:GetValue("aug_cwa_toggle") then	
	self.stances.aug = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7046, 17.1499, -5.21193)
	pivot_shoulder_rotation = Rotation(0.106362, -0.0855956, 0.628962)
	pivot_head_translation = Vector3(7, 20, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.aug.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.aug.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.aug.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.aug.standard.vel_overshot.yaw_neg = 8
	self.stances.aug.standard.vel_overshot.yaw_pos = -8
	self.stances.aug.standard.vel_overshot.pitch_neg = -10
	self.stances.aug.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.045, 17, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.aug.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.aug.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.aug.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.aug.steelsight.vel_overshot.yaw_neg = 4
	self.stances.aug.steelsight.vel_overshot.yaw_pos = -4
	self.stances.aug.steelsight.vel_overshot.pitch_neg = -17
	self.stances.aug.steelsight.vel_overshot.pitch_pos = 17
	pivot_head_translation = Vector3(4, 18, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.aug.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.aug.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.aug.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--AMR-16 Rifle
	if cwakey.Options:GetValue("m16_cwa_toggle") then
	self.stances.m16 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7353, 23.0139, -1.43553)
	pivot_shoulder_rotation = Rotation(0.106665, -0.0845104, 0.629231)
	pivot_head_translation = Vector3(7, 20, -0.5)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.m16.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m16.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m16.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.m16.standard.vel_overshot.yaw_neg = -6
	self.stances.m16.standard.vel_overshot.yaw_pos = 6
	self.stances.m16.standard.vel_overshot.pitch_neg = 10
	self.stances.m16.standard.vel_overshot.pitch_pos = -10
	pivot_head_translation = Vector3(-0.045, 14, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m16.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m16.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m16.steelsight.FOV = self.stances.m16.standard.FOV
	self.stances.m16.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -7, 0)
	self.stances.m16.steelsight.vel_overshot.yaw_neg = -4
	self.stances.m16.steelsight.vel_overshot.yaw_pos = 4
	self.stances.m16.steelsight.vel_overshot.pitch_neg = 8
	self.stances.m16.steelsight.vel_overshot.pitch_pos = -8
	pivot_head_translation = Vector3(6, 16, -0.5)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.m16.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m16.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m16.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.m16.crouched.vel_overshot.yaw_neg = -4
	self.stances.m16.crouched.vel_overshot.yaw_pos = 4
	self.stances.m16.crouched.vel_overshot.pitch_neg = 8
	self.stances.m16.crouched.vel_overshot.pitch_pos = -8
	end

	--Para Submachine Gun
	if cwakey.Options:GetValue("para_cwa_toggle") then	
	self.stances.olympic = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7335, 23.013, -1.43651)
	pivot_shoulder_rotation = Rotation(0.106626, -0.0833779, 0.62919)
	pivot_head_translation = Vector3(7, 18, -0.7)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.olympic.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.olympic.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.olympic.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	pivot_head_translation = Vector3(-0.045, 14, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.olympic.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.olympic.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.olympic.steelsight.FOV = self.stances.olympic.standard.FOV
	self.stances.olympic.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -7, 0)
	self.stances.olympic.steelsight.vel_overshot.yaw_neg = 8
	self.stances.olympic.steelsight.vel_overshot.yaw_pos = -8
	self.stances.olympic.steelsight.vel_overshot.pitch_neg = -17
	self.stances.olympic.steelsight.vel_overshot.pitch_pos = 17
	pivot_head_translation = Vector3(6, 17, -0.8)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.olympic.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.olympic.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.olympic.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -7, 0)
	end
	
	--AK Rifle
	if cwakey.Options:GetValue("ak74_cwa_toggle") then
	self.stances.ak74 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6635, 40.3795, -4.93265)
	pivot_shoulder_rotation = Rotation(0.10668, -0.0844958, 0.629228)
	pivot_head_translation = Vector3(9, 36, -2)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.ak74.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak74.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak74.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.ak74.standard.vel_overshot.yaw_neg = -5
	self.stances.ak74.standard.vel_overshot.yaw_pos = 5
	self.stances.ak74.standard.vel_overshot.pitch_neg = 7
	self.stances.ak74.standard.vel_overshot.pitch_pos = -7
	pivot_head_translation = Vector3(6, 36, -1)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.ak74.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak74.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak74.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.ak74.crouched.vel_overshot.yaw_neg = -4
	self.stances.ak74.crouched.vel_overshot.yaw_pos = 4
	self.stances.ak74.crouched.vel_overshot.pitch_neg = 5
	self.stances.ak74.crouched.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.0615, 30, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ak74.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak74.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak74.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.ak74.steelsight.vel_overshot.yaw_neg = -4
	self.stances.ak74.steelsight.vel_overshot.yaw_pos = 4
	self.stances.ak74.steelsight.vel_overshot.pitch_neg = 5
	self.stances.ak74.steelsight.vel_overshot.pitch_pos = -5
	end
	
	--AK .762
	if cwakey.Options:GetValue("akm_cwa_toggle") then
	self.stances.akm = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6677, 40.3885, -4.94216)
	pivot_shoulder_rotation = Rotation(0.10664, -0.0844285, 0.629212)
	pivot_head_translation = Vector3(9, 36, -2)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.akm.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akm.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akm.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akm.standard.vel_overshot.yaw_neg = -5
	self.stances.akm.standard.vel_overshot.yaw_pos = 5
	self.stances.akm.standard.vel_overshot.pitch_neg = 7
	self.stances.akm.standard.vel_overshot.pitch_pos = -7
	pivot_head_translation = Vector3(6, 36, -1)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.akm.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akm.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akm.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akm.crouched.vel_overshot.yaw_neg = -4
	self.stances.akm.crouched.vel_overshot.yaw_pos = 4
	self.stances.akm.crouched.vel_overshot.pitch_neg = 5
	self.stances.akm.crouched.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.0615, 30, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.akm.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akm.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akm.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akm.steelsight.vel_overshot.yaw_neg = -4
	self.stances.akm.steelsight.vel_overshot.yaw_pos = 4
	self.stances.akm.steelsight.vel_overshot.pitch_neg = 5
	self.stances.akm.steelsight.vel_overshot.pitch_pos = -5
	end
	
	--Krinkov
	if cwakey.Options:GetValue("akmsu_cwa_toggle") then	
	self.stances.akmsu = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6646, 40.3785, -4.67554)
	pivot_shoulder_rotation = Rotation(0.10634, -0.0854686, 0.628928)
	pivot_head_translation = Vector3(8, 36, -2)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.akmsu.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akmsu.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akmsu.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akmsu.standard.vel_overshot.yaw_neg = 10
	self.stances.akmsu.standard.vel_overshot.yaw_pos = -10
	self.stances.akmsu.standard.vel_overshot.pitch_neg = -20
	self.stances.akmsu.standard.vel_overshot.pitch_pos = 20
	pivot_head_translation = Vector3(6, 36, -1)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.akmsu.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akmsu.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akmsu.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	pivot_head_translation = Vector3(-0.047, 30, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.akmsu.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akmsu.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akmsu.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akmsu.steelsight.vel_overshot.yaw_neg = 10
	self.stances.akmsu.steelsight.vel_overshot.yaw_pos = -10
	self.stances.akmsu.steelsight.vel_overshot.pitch_neg = -20
	self.stances.akmsu.steelsight.vel_overshot.pitch_pos = 20
	end

	--Izhma 12G
	if cwakey.Options:GetValue("saiga_cwa_toggle") then		
	self.stances.saiga = deep_clone( self.stances.default )
	pivot_shoulder_translation = Vector3(10.663, 40.3754, -4.93619)
	pivot_shoulder_rotation = Rotation(0.106614, -0.0844471, 0.629197)
	pivot_head_translation = Vector3(9,36,-2)
	pivot_head_rotation = Rotation( 0.4, 0.4, 0 )
	self.stances.saiga.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with( pivot_shoulder_rotation:inverse() ):rotate_with( pivot_head_rotation )
	self.stances.saiga.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.saiga.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0,-30,0)
	pivot_head_translation = Vector3(6,36,-1)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.saiga.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with( pivot_shoulder_rotation:inverse() ):rotate_with( pivot_head_rotation )
	self.stances.saiga.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.saiga.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0,-30,0)
	pivot_head_translation = Vector3(-0.085,30,0)
	pivot_head_rotation = Rotation(0,0,0)
	self.stances.saiga.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with( pivot_shoulder_rotation:inverse() ):rotate_with( pivot_head_rotation )
	self.stances.saiga.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.saiga.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0,-30,0)
	self.stances.saiga.steelsight.vel_overshot.yaw_neg = 10
	self.stances.saiga.steelsight.vel_overshot.yaw_pos = -10
	self.stances.saiga.steelsight.vel_overshot.pitch_neg = -20
	self.stances.saiga.steelsight.vel_overshot.pitch_pos = 20
	end
	
	--Micro Uzi
	if cwakey.Options:GetValue("baka_cwa_toggle") then		
	self.stances.baka = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(9.33471, 13.913, -0.0159556)
	pivot_shoulder_rotation = Rotation(0.001265, 0.00210433, -0.000365091)
	pivot_head_translation = Vector3(7, 16, 1.5)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.baka.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.baka.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.baka.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	self.stances.baka.standard.vel_overshot.yaw_neg = 9
	self.stances.baka.standard.vel_overshot.yaw_pos = -9
	self.stances.baka.standard.vel_overshot.pitch_neg = -9
	self.stances.baka.standard.vel_overshot.pitch_pos = 9
	pivot_head_translation = Vector3(-1.9, 16, 5)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.baka.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.baka.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.baka.steelsight.zoom_fov = false
	self.stances.baka.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.baka.steelsight.vel_overshot.yaw_neg = 15
	self.stances.baka.steelsight.vel_overshot.yaw_pos = -15
	self.stances.baka.steelsight.vel_overshot.pitch_neg = -15
	self.stances.baka.steelsight.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(6, 15, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.baka.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.baka.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.baka.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	end
	
	--AK5 Rifle
	if cwakey.Options:GetValue("ak5_cwa_toggle") then	
	self.stances.ak5 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7332, 15.6145, -2.75549)
	pivot_shoulder_rotation = Rotation(0.106625, -0.430997, 0.629212)
	pivot_head_translation = Vector3(8, 16, -2)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.ak5.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak5.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak5.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.ak5.standard.vel_overshot.yaw_neg = 10
	self.stances.ak5.standard.vel_overshot.yaw_pos = -10
	self.stances.ak5.standard.vel_overshot.pitch_neg = -10
	self.stances.ak5.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.045, 18, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ak5.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak5.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak5.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.ak5.steelsight.vel_overshot.yaw_neg = 4
	self.stances.ak5.steelsight.vel_overshot.yaw_pos = -4
	self.stances.ak5.steelsight.vel_overshot.pitch_neg = -17
	self.stances.ak5.steelsight.vel_overshot.pitch_pos = 17
	pivot_head_translation = Vector3(7, 15, -0.5)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.ak5.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak5.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak5.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Cobra Submachine Gun
	if cwakey.Options:GetValue("scorpion_cwa_toggle") then
	self.stances.scorpion = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6943, 28.787, -6.49269)
	pivot_shoulder_rotation = Rotation(0.106445, -0.0842811, 0.629473)
	pivot_head_translation = Vector3(8, 24, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.scorpion.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scorpion.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scorpion.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.scorpion.standard.vel_overshot.yaw_neg = 10
	self.stances.scorpion.standard.vel_overshot.yaw_pos = -10
	self.stances.scorpion.standard.vel_overshot.pitch_neg = -10
	self.stances.scorpion.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.06, 15, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.scorpion.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scorpion.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scorpion.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.scorpion.steelsight.vel_overshot.yaw_neg = 10
	self.stances.scorpion.steelsight.vel_overshot.yaw_pos = -10
	self.stances.scorpion.steelsight.vel_overshot.pitch_neg = -10
	self.stances.scorpion.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(7, 21, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.scorpion.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scorpion.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scorpion.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	end
	
	--Uzi Submachine Gun
	if cwakey.Options:GetValue("uzi_cwa_toggle") then
	self.stances.uzi = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7319, 15.1611, -5.78384)
	pivot_shoulder_rotation = Rotation(0.1059, -0.083914, 0.628742)
	pivot_head_translation = Vector3(9, 17, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.uzi.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.uzi.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.uzi.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.uzi.standard.vel_overshot.yaw_neg = 10
	self.stances.uzi.standard.vel_overshot.yaw_pos = -10
	self.stances.uzi.standard.vel_overshot.pitch_neg = -10
	self.stances.uzi.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.045, 16, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.uzi.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.uzi.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.uzi.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.uzi.steelsight.vel_overshot.yaw_neg = 10
	self.stances.uzi.steelsight.vel_overshot.yaw_pos = -10
	self.stances.uzi.steelsight.vel_overshot.pitch_neg = -10
	self.stances.uzi.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(8, 15.5, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.uzi.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.uzi.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.uzi.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	end

	--JP36 Rifle
	if cwakey.Options:GetValue("g36_cwa_toggle") then	
	self.stances.g36 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.5658, 24.8768, -1.07923)
	pivot_shoulder_rotation = Rotation(-3.13746E-4, 8.13967E-4, -2.7678E-4)
	pivot_head_translation = Vector3(9, 18, 0)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.g36.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g36.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g36.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	pivot_head_translation = Vector3(-0.045, 17, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g36.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g36.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g36.steelsight.FOV = self.stances.g36.standard.FOV
	self.stances.g36.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.g36.steelsight.vel_overshot.yaw_neg = 5
	self.stances.g36.steelsight.vel_overshot.yaw_pos = -5
	self.stances.g36.steelsight.vel_overshot.pitch_neg = -17
	self.stances.g36.steelsight.vel_overshot.pitch_pos = 17
	pivot_head_translation = Vector3(6, 17, 1)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.g36.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g36.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g36.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	end

	--Kobus 90 Submachine Gun
	if cwakey.Options:GetValue("p90_cwa_toggle") then	
	self.stances.p90 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(11.0002, 24.3293, -0.962641)
	pivot_shoulder_rotation = Rotation(0.21279, 0.970214, 0.197877)
	pivot_head_translation = Vector3(7, 23, 0)
	pivot_head_rotation = Rotation(0, 0, -1)
	self.stances.p90.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.p90.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.p90.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	self.stances.p90.standard.vel_overshot.yaw_neg = 10
	self.stances.p90.standard.vel_overshot.yaw_pos = -10
	self.stances.p90.standard.vel_overshot.pitch_neg = -15
	self.stances.p90.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 20, 0)
	pivot_head_rotation = Rotation(0, 0, -0.5)
	self.stances.p90.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.p90.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.p90.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.p90.steelsight.vel_overshot.yaw_neg = 5
	self.stances.p90.steelsight.vel_overshot.yaw_pos = -5
	self.stances.p90.steelsight.vel_overshot.pitch_neg = -17
	self.stances.p90.steelsight.vel_overshot.pitch_pos = 17
	pivot_head_translation = Vector3(6, 19, 3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.p90.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.p90.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.p90.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	end
	
	--M308 Rifle
	if cwakey.Options:GetValue("m14_cwa_toggle") then
	self.stances.new_m14 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7037, 23.0304, -4.44631)
	pivot_shoulder_rotation = Rotation(0.10663, -0.0844432, 0.629197)
	pivot_head_translation = Vector3(6, 18, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_m14.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_m14.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_m14.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -12, 0)
	self.stances.new_m14.standard.vel_overshot.yaw_neg = -5
	self.stances.new_m14.standard.vel_overshot.yaw_pos = 5
	self.stances.new_m14.standard.vel_overshot.pitch_neg = 5
	self.stances.new_m14.standard.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.045, 10, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_m14.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_m14.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_m14.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -5, 0)
	self.stances.new_m14.steelsight.vel_overshot.yaw_neg = -4
	self.stances.new_m14.steelsight.vel_overshot.yaw_pos = 4
	self.stances.new_m14.steelsight.vel_overshot.pitch_neg = 3
	self.stances.new_m14.steelsight.vel_overshot.pitch_pos = -3
	pivot_head_translation = Vector3(5, 18, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_m14.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_m14.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_m14.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -12, 0)
	self.stances.new_m14.crouched.vel_overshot.yaw_neg = -6
	self.stances.new_m14.crouched.vel_overshot.yaw_pos = 6
	self.stances.new_m14.crouched.vel_overshot.pitch_neg = 4
	self.stances.new_m14.crouched.vel_overshot.pitch_pos = -4
	end
	
	--CMP Submachine Gun
	if cwakey.Options:GetValue("mp9_cwa_toggle") then	
	self.stances.mp9 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7095, 13.7143, -7.28688)
	pivot_shoulder_rotation = Rotation(0.106632, -0.0844457, 0.629207)
	pivot_head_translation = Vector3(8, 10, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mp9.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp9.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp9.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.mp9.standard.vel_overshot.yaw_neg = 10
	self.stances.mp9.standard.vel_overshot.yaw_pos = -10
	self.stances.mp9.standard.vel_overshot.pitch_neg = -5
	self.stances.mp9.standard.vel_overshot.pitch_pos = 5
	pivot_head_translation = Vector3(-0.045, 10, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mp9.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp9.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp9.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -5, 0)
	self.stances.mp9.steelsight.vel_overshot.yaw_neg = 4
	self.stances.mp9.steelsight.vel_overshot.yaw_pos = -4
	self.stances.mp9.steelsight.vel_overshot.pitch_neg = -8
	self.stances.mp9.steelsight.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(7, 8, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mp9.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp9.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp9.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	end
	
	--Deagle Pistol
	if cwakey.Options:GetValue("deagle_cwa_toggle") then
	self.stances.deagle = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.51744, 40.6489, -2.66934)
	pivot_shoulder_rotation = Rotation(0.100008, -0.687698, 0.630289)
	pivot_head_translation = Vector3(5, 35, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.deagle.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.deagle.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.deagle.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.deagle.standard.vel_overshot.yaw_neg = -5
	self.stances.deagle.standard.vel_overshot.yaw_pos = 5
	self.stances.deagle.standard.vel_overshot.pitch_neg = 4
	self.stances.deagle.standard.vel_overshot.pitch_pos = -4
	pivot_head_translation = Vector3(-0.045, 35, 0.5)
	pivot_head_rotation = Rotation(0, 0.5, 0)
	self.stances.deagle.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.deagle.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.deagle.steelsight.zoom_fov = false
	self.stances.deagle.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.deagle.steelsight.vel_overshot.yaw_neg = -4
	self.stances.deagle.steelsight.vel_overshot.yaw_pos = 2
	self.stances.deagle.steelsight.vel_overshot.pitch_neg = 2
	self.stances.deagle.steelsight.vel_overshot.pitch_pos = -2
	pivot_head_translation = Vector3(4, 36, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.deagle.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.deagle.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.deagle.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--Comapct-5 Submachine Gun
	if cwakey.Options:GetValue("mp5_cwa_toggle") then
	self.stances.new_mp5 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7414, 18.4543, -3.29175)
	pivot_shoulder_rotation = Rotation(0.106934, -0.220015, 0.629729)
	pivot_head_translation = Vector3(8, 14, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_mp5.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_mp5.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_mp5.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.new_mp5.standard.vel_overshot.yaw_neg = 10
	self.stances.new_mp5.standard.vel_overshot.yaw_pos = -10
	self.stances.new_mp5.standard.vel_overshot.pitch_neg = -5
	self.stances.new_mp5.standard.vel_overshot.pitch_pos = 5
	pivot_head_translation = Vector3(-0.067, 10, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_mp5.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_mp5.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_mp5.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -5, 0)
	self.stances.new_mp5.steelsight.vel_overshot.yaw_neg = 4
	self.stances.new_mp5.steelsight.vel_overshot.yaw_pos = -4
	self.stances.new_mp5.steelsight.vel_overshot.pitch_neg = -8
	self.stances.new_mp5.steelsight.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(7, 15, -0.5)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_mp5.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_mp5.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_mp5.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	end
	
	--Crosskill Pistol
	if cwakey.Options:GetValue("colt_cwa_toggle") then
	self.stances.colt_1911 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.51072, 41.1823, -3.19592)
	pivot_shoulder_rotation = Rotation(0.0999825, -0.688529, 0.630296)
	pivot_head_translation = Vector3(5, 38, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.colt_1911.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.colt_1911.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.colt_1911.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.colt_1911.standard.vel_overshot.yaw_neg = 10
	self.stances.colt_1911.standard.vel_overshot.yaw_pos = -10
	self.stances.colt_1911.standard.vel_overshot.pitch_neg = -8
	self.stances.colt_1911.standard.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(0, 42, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.colt_1911.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.colt_1911.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.colt_1911.steelsight.zoom_fov = false
	self.stances.colt_1911.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.colt_1911.steelsight.vel_overshot.yaw_neg = 8
	self.stances.colt_1911.steelsight.vel_overshot.yaw_pos = -8
	self.stances.colt_1911.steelsight.vel_overshot.pitch_neg = -12
	self.stances.colt_1911.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(4, 35, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.colt_1911.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.colt_1911.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.colt_1911.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--Mark 10
	if cwakey.Options:GetValue("mac10_cwa_toggle") then
	self.stances.mac10 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.66375, 35.7106, -2.84375)
	pivot_shoulder_rotation = Rotation(0.110006, -0.898579, 0.630296)
	pivot_head_translation = Vector3(8, 25, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mac10.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mac10.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mac10.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.mac10.standard.vel_overshot.yaw_neg = 15
	self.stances.mac10.standard.vel_overshot.yaw_pos = -15
	self.stances.mac10.standard.vel_overshot.pitch_neg = -15
	self.stances.mac10.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 23, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mac10.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mac10.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mac10.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.mac10.steelsight.vel_overshot.yaw_neg = 15
	self.stances.mac10.steelsight.vel_overshot.yaw_pos = -15
	self.stances.mac10.steelsight.vel_overshot.pitch_neg = -18
	self.stances.mac10.steelsight.vel_overshot.pitch_pos = 18
	pivot_head_translation = Vector3(7, 20, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mac10.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mac10.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mac10.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--Reinfeld
	if cwakey.Options:GetValue("r870_cwa_toggle") then
	self.stances.r870 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7362, 12.88858, -4.29568)
	pivot_shoulder_rotation = Rotation(0.106618, -0.0844415, 0.629205)
	pivot_head_translation = Vector3(5, 15, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r870.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r870.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r870.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.r870.standard.vel_overshot.yaw_neg = -5
	self.stances.r870.standard.vel_overshot.yaw_pos = 3
	self.stances.r870.standard.vel_overshot.pitch_neg = 2
	self.stances.r870.standard.vel_overshot.pitch_pos = -3
	pivot_head_translation = Vector3(-0.045, 15, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r870.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r870.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r870.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.r870.steelsight.vel_overshot.yaw_neg = -3
	self.stances.r870.steelsight.vel_overshot.yaw_pos = 3
	self.stances.r870.steelsight.vel_overshot.pitch_neg = 2
	self.stances.r870.steelsight.vel_overshot.pitch_pos = -2
	pivot_head_translation = Vector3(4, 17, -2)
	pivot_head_rotation = Rotation(-2, -2, 0)
	self.stances.r870.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r870.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r870.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Chimano 88
	if cwakey.Options:GetValue("chimano88_cwa_toggle") then
	self.stances.glock_17 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.48582, 38.7727, -5.49358)
	pivot_shoulder_rotation = Rotation(0.100007, -0.687692, 0.630291)
	pivot_head_translation = Vector3(5, 34, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock_17.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock_17.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock_17.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.glock_17.standard.vel_overshot.yaw_neg = 10
	self.stances.glock_17.standard.vel_overshot.yaw_pos = -10
	self.stances.glock_17.standard.vel_overshot.pitch_neg = -13
	self.stances.glock_17.standard.vel_overshot.pitch_pos = 13
	pivot_head_translation = Vector3(0, 35, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock_17.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock_17.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock_17.steelsight.FOV = self.stances.glock_17.standard.FOV
	self.stances.glock_17.steelsight.zoom_fov = false
	self.stances.glock_17.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.glock_17.steelsight.vel_overshot.yaw_neg = 8
	self.stances.glock_17.steelsight.vel_overshot.yaw_pos = -8
	self.stances.glock_17.steelsight.vel_overshot.pitch_neg = -8
	self.stances.glock_17.steelsight.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(4, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock_17.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock_17.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock_17.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	end

	--Mosconi
	if cwakey.Options:GetValue("huntsman_cwa_toggle") then	
	self.stances.huntsman = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6562, 32.9715, -6.73279)
	pivot_shoulder_rotation = Rotation(0.106667, -0.0844876, 0.629223)
	pivot_head_translation = Vector3(6, 25, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.huntsman.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.huntsman.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.huntsman.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	pivot_head_translation = Vector3(0, 20, -2)
	pivot_head_rotation = Rotation(0, 2, 0)
	self.stances.huntsman.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.huntsman.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.huntsman.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.huntsman.steelsight.vel_overshot.yaw_neg = 12
	self.stances.huntsman.steelsight.vel_overshot.yaw_pos = -12
	self.stances.huntsman.steelsight.vel_overshot.pitch_neg = -12
	self.stances.huntsman.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(4, 17, -2)
	pivot_head_rotation = Rotation(-2, -2, 0)
	self.stances.huntsman.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.huntsman.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.huntsman.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Bernetti 9
	if cwakey.Options:GetValue("b92fs_cwa_toggle") then	
	self.stances.b92fs = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.50075, 40.9227, -4.15328)
	pivot_shoulder_rotation = Rotation(0.0994, -0.687851, 0.630047)
	pivot_head_translation = Vector3(5, 34, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.b92fs.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.b92fs.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.b92fs.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	pivot_head_translation = Vector3(0, 37, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.b92fs.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.b92fs.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.b92fs.steelsight.zoom_fov = false
	self.stances.b92fs.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	self.stances.b92fs.steelsight.vel_overshot.yaw_neg = 5
	self.stances.b92fs.steelsight.vel_overshot.yaw_pos = -5
	self.stances.b92fs.steelsight.vel_overshot.pitch_neg = -12
	self.stances.b92fs.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.b92fs.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.b92fs.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.b92fs.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	end
	
	--Bronco .44
	if cwakey.Options:GetValue("bronco_cwa_toggle") then
	self.stances.new_raging_bull = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.48834, 43.8612, -2.19366)
	pivot_shoulder_rotation = Rotation(0.0999871, -0.68716, 0.629919)
	pivot_head_translation = Vector3(5, 30, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_raging_bull.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_raging_bull.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_raging_bull.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.new_raging_bull.standard.vel_overshot.yaw_neg = -5
	self.stances.new_raging_bull.standard.vel_overshot.yaw_pos = 2
	self.stances.new_raging_bull.standard.vel_overshot.pitch_neg = 5
	self.stances.new_raging_bull.standard.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.0805, 36, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_raging_bull.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_raging_bull.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_raging_bull.steelsight.zoom_fov = false
	self.stances.new_raging_bull.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.new_raging_bull.steelsight.vel_overshot.yaw_neg = -5
	self.stances.new_raging_bull.steelsight.vel_overshot.yaw_pos = 2
	self.stances.new_raging_bull.steelsight.vel_overshot.pitch_neg = 5
	self.stances.new_raging_bull.steelsight.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(4, 33, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.new_raging_bull.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.new_raging_bull.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.new_raging_bull.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
--Raven Fix
	self.stances.ksg = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.8727, 25.2606, -2.09537)
	pivot_shoulder_rotation = Rotation(0.248115, 0.354997, 0.892959)
	pivot_head_translation = Vector3(8, 28, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ksg.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ksg.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ksg.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.ksg.standard.vel_overshot.yaw_neg = 10
	self.stances.ksg.standard.vel_overshot.yaw_pos = -10
	self.stances.ksg.standard.vel_overshot.pitch_neg = -10
	self.stances.ksg.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.045, 22, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ksg.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ksg.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ksg.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.ksg.steelsight.vel_overshot.yaw_neg = 10
	self.stances.ksg.steelsight.vel_overshot.yaw_pos = -10
	self.stances.ksg.steelsight.vel_overshot.pitch_neg = -10
	self.stances.ksg.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(7, 25, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ksg.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ksg.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ksg.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)

	--Commando 553
	if cwakey.Options:GetValue("s552_cwa_toggle") then
	self.stances.s552 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6642, 22.0789, -3.95194)
	pivot_shoulder_rotation = Rotation(0.106285, -0.08453, 0.630167)
	pivot_head_translation = Vector3(8, 17, -0.8)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.s552.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.s552.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.s552.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.s552.standard.vel_overshot.yaw_neg = 12
	self.stances.s552.standard.vel_overshot.yaw_pos = -12
	self.stances.s552.standard.vel_overshot.pitch_neg = -12
	self.stances.s552.standard.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(-0.045, 12, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.s552.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.s552.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.s552.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.s552.steelsight.vel_overshot.yaw_neg = 10
	self.stances.s552.steelsight.vel_overshot.yaw_pos = -10
	self.stances.s552.steelsight.vel_overshot.pitch_neg = -10
	self.stances.s552.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(7, 16, -0.9)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.s552.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.s552.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.s552.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--Locomotive
	if cwakey.Options:GetValue("loco_cwa_toggle") then
	self.stances.serbu = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.71, 18.7035, -4.30218)
	pivot_shoulder_rotation = Rotation(0.106838, -0.0844692, 0.629273)
	pivot_head_translation = Vector3(5, 20, -4)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.serbu.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.serbu.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.serbu.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.serbu.standard.vel_overshot.yaw_neg = 6
	self.stances.serbu.standard.vel_overshot.yaw_pos = -6
	self.stances.serbu.standard.vel_overshot.pitch_neg = -4
	self.stances.serbu.standard.vel_overshot.pitch_pos = 4
	pivot_head_translation = Vector3(-0.045, 24, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.serbu.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.serbu.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.serbu.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.serbu.steelsight.vel_overshot.yaw_neg = 5
	self.stances.serbu.steelsight.vel_overshot.yaw_pos = -4
	self.stances.serbu.steelsight.vel_overshot.pitch_neg = -5
	self.stances.serbu.steelsight.vel_overshot.pitch_pos = 5
	pivot_head_translation = Vector3(6, 17, -4)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.serbu.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.serbu.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.serbu.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--Blaster 9mm
	if cwakey.Options:GetValue("tec9_cwa_toggle") then
	self.stances.tec9 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.60825, 44.5082, -5.26645)
	pivot_shoulder_rotation = Rotation(0.11042, 0.0131379, 0.63049)
	pivot_head_translation = Vector3(4, 32, -4)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.tec9.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.tec9.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.tec9.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.tec9.standard.vel_overshot.yaw_neg = 15
	self.stances.tec9.standard.vel_overshot.yaw_pos = -15
	self.stances.tec9.standard.vel_overshot.pitch_neg = -15
	self.stances.tec9.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 20, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.tec9.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.tec9.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.tec9.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.tec9.steelsight.vel_overshot.yaw_neg = 15
	self.stances.tec9.steelsight.vel_overshot.yaw_pos = -15
	self.stances.tec9.steelsight.vel_overshot.pitch_neg = -18
	self.stances.tec9.steelsight.vel_overshot.pitch_pos = 18
	pivot_head_translation = Vector3(6, 22, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.tec9.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.tec9.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.tec9.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--Lion's Roar Rifle
	if cwakey.Options:GetValue("vhs_cwa_toggle") then
	self.stances.vhs = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(9.11614, 8.59096, -0.476531)
	pivot_shoulder_rotation = Rotation(1.99016E-5, 0.00109528, 3.12054E-4)
	pivot_head_translation = Vector3(7, 16, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.vhs.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.vhs.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.vhs.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.vhs.standard.vel_overshot.yaw_neg = 10
	self.stances.vhs.standard.vel_overshot.yaw_pos = -10
	self.stances.vhs.standard.vel_overshot.pitch_neg = -10
	self.stances.vhs.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.045, 12, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.vhs.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.vhs.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.vhs.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.vhs.steelsight.vel_overshot.yaw_neg = 4
	self.stances.vhs.steelsight.vel_overshot.yaw_pos = -4
	self.stances.vhs.steelsight.vel_overshot.pitch_neg = -4
	self.stances.vhs.steelsight.vel_overshot.pitch_pos = 4
	pivot_head_translation = Vector3(7, 15, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.vhs.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.vhs.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.vhs.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end

	--Rattlesnake Sniper
	if cwakey.Options:GetValue("msr_cwa_toggle") then
	self.stances.msr = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7223, 44.8494, -2.19714)
	pivot_shoulder_rotation = Rotation(0.106634, -0.0844042, 0.629169)
	pivot_head_translation = Vector3(10, 40, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.msr.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.msr.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.msr.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.msr.standard.vel_overshot.yaw_neg = 15
	self.stances.msr.standard.vel_overshot.yaw_pos = -15
	self.stances.msr.standard.vel_overshot.pitch_neg = -15
	self.stances.msr.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 35, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.msr.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.msr.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.msr.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.msr.steelsight.vel_overshot.yaw_neg = 0
	self.stances.msr.steelsight.vel_overshot.yaw_pos = 0
	self.stances.msr.steelsight.vel_overshot.pitch_neg = 0
	self.stances.msr.steelsight.vel_overshot.pitch_pos = 0
	pivot_head_translation = Vector3(8, 35, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.msr.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.msr.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.msr.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end

	--Interceptor .45 Pistol
	if cwakey.Options:GetValue("usp_cwa_toggle") then
	self.stances.usp = deep_clone(self.stances.colt_1911)
	pivot_shoulder_translation = Vector3(8.51087, 41.182, -3.19589)
	pivot_shoulder_rotation = Rotation(0.0996996, -0.686868, 0.630304)
	pivot_head_translation = Vector3(5, 38, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.usp.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.usp.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.usp.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.usp.standard.vel_overshot.yaw_neg = 10
	self.stances.usp.standard.vel_overshot.yaw_pos = -10
	self.stances.usp.standard.vel_overshot.pitch_neg = -8
	self.stances.usp.standard.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(0, 42, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.usp.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.usp.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.usp.steelsight.zoom_fov = false
	self.stances.usp.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.usp.steelsight.vel_overshot.yaw_neg = 8
	self.stances.usp.steelsight.vel_overshot.yaw_pos = -8
	self.stances.usp.steelsight.vel_overshot.pitch_neg = -12
	self.stances.usp.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(4, 35, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.usp.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.usp.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.usp.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--Signature .40 Pistol
	if cwakey.Options:GetValue("p226_cwa_toggle") then
	self.stances.p226 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.5121, 38.8014, -3.46065)
	pivot_shoulder_rotation = Rotation(0.10024, -0.688283, 0.631346)
	pivot_head_translation = Vector3(5, 34, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.p226.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.p226.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.p226.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	pivot_head_translation = Vector3(0, 34, 1.25)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.p226.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.p226.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.p226.steelsight.zoom_fov = false
	self.stances.p226.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	self.stances.p226.steelsight.vel_overshot.yaw_neg = 5
	self.stances.p226.steelsight.vel_overshot.yaw_pos = -5
	self.stances.p226.steelsight.vel_overshot.pitch_neg = -12
	self.stances.p226.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.p226.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.p226.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.p226.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	end
	
	--Eagle Heavy Rifle
	if cwakey.Options:GetValue("scar_cwa_toggle") then
	self.stances.scar = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7779, 19.512, 0.0239211)
	pivot_shoulder_rotation = Rotation(0.107705, -0.0837022, 0.629766)
	pivot_head_translation = Vector3(7, 20, -0.5)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.scar.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scar.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scar.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.scar.standard.vel_overshot.yaw_neg = 10
	self.stances.scar.standard.vel_overshot.yaw_pos = -10
	self.stances.scar.standard.vel_overshot.pitch_neg = -10
	self.stances.scar.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.045, 12, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.scar.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scar.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scar.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.scar.steelsight.vel_overshot.yaw_neg = 10
	self.stances.scar.steelsight.vel_overshot.yaw_pos = -10
	self.stances.scar.steelsight.vel_overshot.pitch_neg = -10
	self.stances.scar.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(6, 17, -0.5)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.scar.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scar.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scar.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end

	--Gruber Kurz Pistol
	if cwakey.Options:GetValue("ppk_cwa_toggle") then
	self.stances.ppk = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.49608, 40.6427, -4.65654)
	pivot_shoulder_rotation = Rotation(0.0989007, -0.686519, 0.631465)
	pivot_head_translation = Vector3(5, 34, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ppk.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ppk.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ppk.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	pivot_head_translation = Vector3(0, 37, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ppk.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ppk.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ppk.steelsight.zoom_fov = false
	self.stances.ppk.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	self.stances.ppk.steelsight.vel_overshot.yaw_neg = 5
	self.stances.ppk.steelsight.vel_overshot.yaw_pos = -5
	self.stances.ppk.steelsight.vel_overshot.pitch_neg = -12
	self.stances.ppk.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ppk.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ppk.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ppk.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	end
	
	--Judge
	if cwakey.Options:GetValue("judge_cwa_toggle") then
	self.stances.judge = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.51217, 43.8759, -2.44869)
	pivot_shoulder_rotation = Rotation(0.0994018, -0.689525, 0.618385)
	pivot_head_translation = Vector3(5, 30, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.judge.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.judge.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.judge.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.judge.standard.vel_overshot.yaw_neg = -5
	self.stances.judge.standard.vel_overshot.yaw_pos = 2
	self.stances.judge.standard.vel_overshot.pitch_neg = 5
	self.stances.judge.standard.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.06, 36, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.judge.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.judge.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.judge.steelsight.zoom_fov = false
	self.stances.judge.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.judge.steelsight.vel_overshot.yaw_neg = -5
	self.stances.judge.steelsight.vel_overshot.yaw_pos = 2
	self.stances.judge.steelsight.vel_overshot.pitch_neg = 5
	self.stances.judge.steelsight.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(4, 33, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.judge.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.judge.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.judge.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--LEO Pistol
	if cwakey.Options:GetValue("hs2000_cwa_toggle") then
	self.stances.hs2000 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.49184, 38.238, -5.36848)
	pivot_shoulder_rotation = Rotation(0.100076, -0.685838, 0.630525)
	pivot_head_translation = Vector3(5, 34, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hs2000.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hs2000.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hs2000.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	pivot_head_translation = Vector3(0, 37, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hs2000.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hs2000.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hs2000.steelsight.zoom_fov = false
	self.stances.hs2000.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	self.stances.hs2000.steelsight.vel_overshot.yaw_neg = 5
	self.stances.hs2000.steelsight.vel_overshot.yaw_pos = -5
	self.stances.hs2000.steelsight.vel_overshot.pitch_neg = -12
	self.stances.hs2000.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hs2000.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hs2000.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hs2000.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	end
	
	--Gewehr 3 Rifle
	if cwakey.Options:GetValue("g3_cwa_toggle") then
	self.stances.g3 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7158, 21.5452, -1.67945)
	pivot_shoulder_rotation = Rotation(0.107438, -0.0837396, 0.629882)
	pivot_head_translation = Vector3(9, 20, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g3.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g3.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g3.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.g3.standard.vel_overshot.yaw_neg = 10
	self.stances.g3.standard.vel_overshot.yaw_pos = -10
	self.stances.g3.standard.vel_overshot.pitch_neg = -5
	self.stances.g3.standard.vel_overshot.pitch_pos = 5
	pivot_head_translation = Vector3(-0.045, 18, 0.21)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g3.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g3.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g3.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -28, 0)
	self.stances.g3.steelsight.vel_overshot.yaw_neg = 10
	self.stances.g3.steelsight.vel_overshot.yaw_pos = -10
	self.stances.g3.steelsight.vel_overshot.pitch_neg = -5
	self.stances.g3.steelsight.vel_overshot.pitch_pos = 5
	pivot_head_translation = Vector3(7, 18, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g3.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g3.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g3.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Chimano Custom Pistol
	if cwakey.Options:GetValue("g22c_cwa_toggle") then
	self.stances.g22c = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.49051, 38.6474, -5.09399)
	pivot_shoulder_rotation = Rotation(0.0999949, -0.687702, 0.630304)
	pivot_head_translation = Vector3(5, 36, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g22c.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g22c.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g22c.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.g22c.standard.vel_overshot.yaw_neg = 10
	self.stances.g22c.standard.vel_overshot.yaw_pos = -10
	self.stances.g22c.standard.vel_overshot.pitch_neg = -13
	self.stances.g22c.standard.vel_overshot.pitch_pos = 13
	pivot_head_translation = Vector3(0, 37, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g22c.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g22c.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g22c.steelsight.FOV = self.stances.g22c.standard.FOV
	self.stances.g22c.steelsight.zoom_fov = false
	self.stances.g22c.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	self.stances.g22c.steelsight.vel_overshot.yaw_neg = 8
	self.stances.g22c.steelsight.vel_overshot.yaw_pos = -8
	self.stances.g22c.steelsight.vel_overshot.pitch_neg = -8
	self.stances.g22c.steelsight.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g22c.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g22c.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g22c.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
    --Falcon Rifle
	if cwakey.Options:GetValue("fal_cwa_toggle") then
	self.stances.fal = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6889, 30.1129, -4.31372)
	pivot_shoulder_rotation = Rotation(0.106623, -0.0844514, 0.629209)
	pivot_head_translation = Vector3(8, 28, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.fal.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.fal.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.fal.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.fal.standard.vel_overshot.yaw_neg = 10
	self.stances.fal.standard.vel_overshot.yaw_pos = -10
	self.stances.fal.standard.vel_overshot.pitch_neg = -10
	self.stances.fal.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.062, 22, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.fal.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.fal.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.fal.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.fal.steelsight.vel_overshot.yaw_neg = 10
	self.stances.fal.steelsight.vel_overshot.yaw_pos = -10
	self.stances.fal.steelsight.vel_overshot.pitch_neg = -10
	self.stances.fal.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(7, 25, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.fal.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.fal.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.fal.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	end
	
	--GL40
	if cwakey.Options:GetValue("gl40_cwa_toggle") then
	self.stances.gre_m79 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6363, 52.3198, -7.34957)
	pivot_shoulder_rotation = Rotation(0.106995, -2.19204, 0.629449)
	pivot_head_translation = Vector3(6, 46, -5)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.gre_m79.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.gre_m79.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.gre_m79.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	pivot_head_translation = Vector3(-0.045, 40, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.gre_m79.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.gre_m79.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.gre_m79.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.gre_m79.steelsight.vel_overshot.yaw_neg = 12
	self.stances.gre_m79.steelsight.vel_overshot.yaw_pos = -12
	self.stances.gre_m79.steelsight.vel_overshot.pitch_neg = -12
	self.stances.gre_m79.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(4, 44, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.gre_m79.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.gre_m79.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.gre_m79.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	end
	
--galil

	if cwakey.Options:GetValue("galil_cwa_toggle") then
	self.stances.galil = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7344, 22.1028, -3.71493)
	pivot_shoulder_rotation = Rotation(0.107212, -0.0843867, 0.629332)
	pivot_head_translation = Vector3(8, 22, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.galil.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.galil.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.galil.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.galil.standard.vel_overshot.yaw_neg = 10
	self.stances.galil.standard.vel_overshot.yaw_pos = -10
	self.stances.galil.standard.vel_overshot.pitch_neg = -10
	self.stances.galil.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.045, 8, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.galil.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.galil.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.galil.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -28, 0)
	self.stances.galil.steelsight.vel_overshot.yaw_neg = 10
	self.stances.galil.steelsight.vel_overshot.yaw_pos = -10
	self.stances.galil.steelsight.vel_overshot.pitch_neg = -10
	self.stances.galil.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(7, 20, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.galil.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.galil.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.galil.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
--b6
	self.stances.b682 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.47311, 22.1434, -6.31211)
	pivot_shoulder_rotation = Rotation(-1.83462E-5, 0.00105637, 3.52956E-4)
	pivot_head_translation = Vector3(7, 22, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.b682.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.b682.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.b682.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.b682.standard.vel_overshot.yaw_neg = 14
	self.stances.b682.standard.vel_overshot.yaw_pos = -14
	self.stances.b682.standard.vel_overshot.pitch_neg = -14
	self.stances.b682.standard.vel_overshot.pitch_pos = 14
	pivot_head_translation = Vector3(0, 24.8, -0.5)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.b682.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.b682.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.b682.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.b682.steelsight.vel_overshot.yaw_neg = 10
	self.stances.b682.steelsight.vel_overshot.yaw_pos = -10
	self.stances.b682.steelsight.vel_overshot.pitch_neg = -10
	self.stances.b682.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(4, 16, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.b682.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.b682.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.b682.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)

    --Swedish K Submachine Gun	
	if cwakey.Options:GetValue("m45_cwa_toggle") then
	self.stances.m45 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6536, 33.375, -6.99766)
	pivot_shoulder_rotation = Rotation(0.106609, -0.0844488, 0.629209)
	pivot_head_translation = Vector3(7, 32, -4)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.m45.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m45.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m45.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.m45.standard.vel_overshot.yaw_neg = 15
	self.stances.m45.standard.vel_overshot.yaw_pos = -15
	self.stances.m45.standard.vel_overshot.pitch_neg = -15
	self.stances.m45.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 23, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m45.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m45.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m45.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.m45.steelsight.vel_overshot.yaw_neg = 10
	self.stances.m45.steelsight.vel_overshot.yaw_pos = -10
	self.stances.m45.steelsight.vel_overshot.pitch_neg = -10
	self.stances.m45.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(4, 26, -2)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.m45.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m45.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m45.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
--matever
	self.stances.mateba = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.52839, 40.2153, -3.77382)
	pivot_shoulder_rotation = Rotation(0.0991125, -0.687691, 0.607803)
	pivot_head_translation = Vector3(7, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mateba.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mateba.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mateba.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -86, 0)
	pivot_head_translation = Vector3(0, 36, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mateba.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mateba.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mateba.steelsight.zoom_fov = false
	self.stances.mateba.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	self.stances.mateba.steelsight.vel_overshot.yaw_neg = 5
	self.stances.mateba.steelsight.vel_overshot.yaw_pos = -5
	self.stances.mateba.steelsight.vel_overshot.pitch_neg = -12
	self.stances.mateba.steelsight.vel_overshot.pitch_pos = 12
	pivot_head_translation = Vector3(6, 32, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mateba.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mateba.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mateba.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -36, 0)
	
	--Saw
	if cwakey.Options:GetValue("saw_cwa_toggle") then
	self.stances.saw = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7099, 18.4324, -4.38493)
	pivot_shoulder_rotation = Rotation(0.106622, -0.218452, 0.629191)
	pivot_head_translation = Vector3(10, 5, -5)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.saw.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.saw.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.saw.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, 0, 0)
	self.stances.saw.standard.vel_overshot.yaw_neg = -5
	self.stances.saw.standard.vel_overshot.yaw_pos = 5
	self.stances.saw.standard.vel_overshot.pitch_neg = 5
	self.stances.saw.standard.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(10, 10, -5)
	pivot_head_rotation = Rotation(0, 0, 5)
	self.stances.saw.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.saw.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.saw.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, 0, 0)
	self.stances.saw.steelsight.zoom_fov = false
	self.stances.saw.steelsight.vel_overshot.yaw_neg = -5
	self.stances.saw.steelsight.vel_overshot.yaw_pos = 5
	self.stances.saw.steelsight.vel_overshot.pitch_neg = 5
	self.stances.saw.steelsight.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(11, 5, -2)
	pivot_head_rotation = Rotation(0, 0, 2)
	self.stances.saw.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.saw.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.saw.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, 0, 0)
	end

	--Chimano Compact
	if cwakey.Options:GetValue("g26_cwa_toggle") then
	self.stances.g26 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.49051, 38.6474, -5.09399)
	pivot_shoulder_rotation = Rotation(0.0999949, -0.687702, 0.630304)
	pivot_head_translation = Vector3(5, 36, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g26.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g26.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g26.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.g26.standard.vel_overshot.yaw_neg = 10
	self.stances.g26.standard.vel_overshot.yaw_pos = -10
	self.stances.g26.standard.vel_overshot.pitch_neg = -13
	self.stances.g26.standard.vel_overshot.pitch_pos = 13
	pivot_head_translation = Vector3(0, 37, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g26.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g26.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g26.steelsight.FOV = self.stances.g26.standard.FOV
	self.stances.g26.steelsight.zoom_fov = false
	self.stances.g26.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -40, 0)
	self.stances.g26.steelsight.vel_overshot.yaw_neg = 8
	self.stances.g26.steelsight.vel_overshot.yaw_pos = -8
	self.stances.g26.steelsight.vel_overshot.pitch_neg = -8
	self.stances.g26.steelsight.vel_overshot.pitch_pos = 8
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.g26.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.g26.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.g26.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Gold AK .762
	if cwakey.Options:GetValue("akm_gold_cwa_toggle") then
	self.stances.akm_gold = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.6677, 40.3885, -4.94216)
	pivot_shoulder_rotation = Rotation(0.10664, -0.0844285, 0.629212)
	pivot_head_translation = Vector3(9, 36, -2)
	pivot_head_rotation = Rotation(0.4, 0.4, 0)
	self.stances.akm_gold.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akm_gold.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akm_gold.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akm_gold.standard.vel_overshot.yaw_neg = -5
	self.stances.akm_gold.standard.vel_overshot.yaw_pos = 5
	self.stances.akm_gold.standard.vel_overshot.pitch_neg = 7
	self.stances.akm_gold.standard.vel_overshot.pitch_pos = -7
	pivot_head_translation = Vector3(6, 36, -1)
	pivot_head_rotation = Rotation(0.2, 0.2, 0)
	self.stances.akm_gold.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akm_gold.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akm_gold.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akm_gold.crouched.vel_overshot.yaw_neg = -4
	self.stances.akm_gold.crouched.vel_overshot.yaw_pos = 4
	self.stances.akm_gold.crouched.vel_overshot.pitch_neg = 5
	self.stances.akm_gold.crouched.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.0615, 30, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.akm_gold.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.akm_gold.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.akm_gold.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.akm_gold.steelsight.vel_overshot.yaw_neg = -4
	self.stances.akm_gold.steelsight.vel_overshot.yaw_pos = 4
	self.stances.akm_gold.steelsight.vel_overshot.pitch_neg = 5
	self.stances.akm_gold.steelsight.vel_overshot.pitch_pos = -5
	end

	--Broomstick Pistol
	if cwakey.Options:GetValue("c96_cwa_toggle") then
	self.stances.c96 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.44668, 44.0211, -4.39106)
	pivot_shoulder_rotation = Rotation(0.100022, -0.68821, 0.62967)
	pivot_head_translation = Vector3(5, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.c96.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.c96.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.c96.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.c96.standard.vel_overshot.yaw_neg = 10
	self.stances.c96.standard.vel_overshot.yaw_pos = -10
	self.stances.c96.standard.vel_overshot.pitch_neg = -10
	self.stances.c96.standard.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(-0.069, 30, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.c96.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.c96.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.c96.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -58, 0)
	self.stances.c96.steelsight.vel_overshot.yaw_neg = 10
	self.stances.c96.steelsight.vel_overshot.yaw_pos = -10
	self.stances.c96.steelsight.vel_overshot.pitch_neg = -10
	self.stances.c96.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(3, 32, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.c96.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.c96.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.c96.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -55, 0)
	end

	--Rattlesnake Sniper
	if cwakey.Options:GetValue("msr_cwa_toggle") then
	self.stances.msr = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(10.7223, 44.8494, -2.19714)
	pivot_shoulder_rotation = Rotation(0.106634, -0.0844042, 0.629169)
	pivot_head_translation = Vector3(10, 40, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.msr.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.msr.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.msr.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.msr.standard.vel_overshot.yaw_neg = 15
	self.stances.msr.standard.vel_overshot.yaw_pos = -15
	self.stances.msr.standard.vel_overshot.pitch_neg = -15
	self.stances.msr.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 35, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.msr.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.msr.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.msr.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.msr.steelsight.vel_overshot.yaw_neg = 0
	self.stances.msr.steelsight.vel_overshot.yaw_pos = 0
	self.stances.msr.steelsight.vel_overshot.pitch_neg = 0
	self.stances.msr.steelsight.vel_overshot.pitch_pos = 0
	pivot_head_translation = Vector3(8, 35, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.msr.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.msr.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.msr.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Thanatos Sniper Rifle
	if cwakey.Options:GetValue("m95_cwa_toggle") then
	self.stances.m95 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(12.9429, 21.4699, -2.48515)
	pivot_shoulder_rotation = Rotation(0.113195, 0.518822, 0.628052)
	pivot_head_translation = Vector3(10, 30, -3)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m95.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m95.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m95.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.m95.standard.vel_overshot.yaw_neg = 15
	self.stances.m95.standard.vel_overshot.yaw_pos = -15
	self.stances.m95.standard.vel_overshot.pitch_neg = -15
	self.stances.m95.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 0, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m95.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m95.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m95.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.m95.steelsight.vel_overshot.yaw_neg = 0
	self.stances.m95.steelsight.vel_overshot.yaw_pos = 0
	self.stances.m95.steelsight.vel_overshot.pitch_neg = 0
	self.stances.m95.steelsight.vel_overshot.pitch_pos = 0
	pivot_head_translation = Vector3(8, 30, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m95.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m95.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m95.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
	--Angry Tiger Revolver
	if cwakey.Options:GetValue("rsh12_cwa_toggle") then	
	self.stances.rsh12 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.51217, 43.8759, -2.44869)
	pivot_shoulder_rotation = Rotation(0.0994018, -0.689525, 0.618385)
	pivot_head_translation = Vector3(5, 30, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.rsh12.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.rsh12.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.rsh12.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.rsh12.standard.vel_overshot.yaw_neg = -5
	self.stances.rsh12.standard.vel_overshot.yaw_pos = 2
	self.stances.rsh12.standard.vel_overshot.pitch_neg = 5
	self.stances.rsh12.standard.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(-0.0618, 36, -1)
	 pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.rsh12.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.rsh12.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.rsh12.steelsight.zoom_fov = false
	self.stances.rsh12.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -35, 0)
	self.stances.rsh12.steelsight.vel_overshot.yaw_neg = -5
	self.stances.rsh12.steelsight.vel_overshot.yaw_pos = 2
	self.stances.rsh12.steelsight.vel_overshot.pitch_neg = 5
	self.stances.rsh12.steelsight.vel_overshot.pitch_pos = -5
	pivot_head_translation = Vector3(4, 33, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.rsh12.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.rsh12.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.rsh12.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	end
	
--nagant
	self.stances.mosin = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(8.73391, 40.3748, -4.10975)
	pivot_shoulder_rotation = Rotation(0.106649, -0.0843498, 0.629165)
	pivot_head_translation = Vector3(8, 32, -4)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mosin.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mosin.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mosin.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.mosin.standard.vel_overshot.yaw_neg = 15
	self.stances.mosin.standard.vel_overshot.yaw_pos = -15
	self.stances.mosin.standard.vel_overshot.pitch_neg = -15
	self.stances.mosin.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(-0.045, 35, 0)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mosin.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mosin.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mosin.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -50, 0)
	self.stances.mosin.steelsight.vel_overshot.yaw_neg = 0
	self.stances.mosin.steelsight.vel_overshot.yaw_pos = 0
	self.stances.mosin.steelsight.vel_overshot.pitch_neg = 0
	self.stances.mosin.steelsight.vel_overshot.pitch_pos = 0
    pivot_head_translation = Vector3(8, 35, -2)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mosin.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mosin.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mosin.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	
--hk21
	self.stances.hk21 = deep_clone(self.stances.default)
	pivot_shoulder_translation = Vector3(11.3874, 18.55, -2.08902)
	pivot_shoulder_rotation = Rotation(3.03061, 1.08595, 1.87441)
	pivot_head_translation = Vector3(8, 12, -3)
	pivot_head_rotation = Rotation(0.2, 0, -4)
	self.stances.hk21.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk21.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk21.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.hk21.standard.vel_overshot.yaw_neg = 15
	self.stances.hk21.standard.vel_overshot.yaw_pos = -15
	self.stances.hk21.standard.vel_overshot.pitch_neg = -15
	self.stances.hk21.standard.vel_overshot.pitch_pos = 15
	pivot_head_translation = Vector3(8, 10, -1)
	pivot_head_rotation = Rotation(0.2, 0.2, -8)
	self.stances.hk21.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk21.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk21.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.hk21.steelsight.vel_overshot.yaw_neg = 10
	self.stances.hk21.steelsight.vel_overshot.yaw_pos = -10
	self.stances.hk21.steelsight.vel_overshot.pitch_neg = -10
	self.stances.hk21.steelsight.vel_overshot.pitch_pos = 10
	pivot_head_translation = Vector3(6, 12, -1)
	pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hk21.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk21.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk21.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.hk21.bipod = {
		shoulders = {},
		vel_overshot = {}
	}
	pivot_head_translation = Vector3(0, 0, 0)
    pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hk21.bipod.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk21.bipod.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk21.bipod.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, 0, 0)
	self.stances.hk21.bipod.vel_overshot.yaw_neg = 0
	self.stances.hk21.bipod.vel_overshot.yaw_pos = 0
	self.stances.hk21.bipod.vel_overshot.pitch_neg = 0
	self.stances.hk21.bipod.vel_overshot.pitch_pos = 0
	self.stances.hk21.bipod.FOV = 50
	self.stances.hk21.bipod.shakers = {}
	self.stances.hk21.bipod.shakers.breathing = {}
	self.stances.hk21.bipod.shakers.breathing.amplitude = 0
	
end)
